OpenTTD: Data Fields - Variables

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z

### - l -

- l : ICUParagraphLayout::ICULine , UnitsLong
- label : GRFFile , RailtypeInfo , CargoSpec
- labels : ScriptConfigItem
- lag_test : ServerNetworkGameSocketHandler
- lan_internet : NetworkSettings
- land_generator : GameCreationSettings
- landscape : LoggedChange , GameCreationSettings
- langid : GRFText
- language : LanguageStrings
- language_map : GRFFile
- large : FreeTypeSettings
- large_turn : AccelerationSlowdownParams
- larger_town : Town
- larger_towns : EconomySettings
- last : CommandQueue
- last_age : GoodsEntry
- last_array_index : SaveLoadParams
- last_build_coordinate : CompanyProperties
- last_cargo_accepted_at : Industry
- last_clicked : GameSettingsWindow
- last_clicked_widget : BuildDocksToolbarWindow
- last_command_res : ScriptStorage
- last_compression : LinkGraph
- last_cost : ScriptStorage
- last_error : ScriptStorage
- last_filtering : NetworkContentListWindow , NewGRFWindow
- last_foundation_child : ViewportDrawer
- last_frame : NetworkGameSocketHandler
- last_frame_server : NetworkGameSocketHandler
- last_group : IniLoadFile
- last_host : NetworkSettings
- last_item : IniGroup
- last_joined : NetworkGameWindow
- last_loading_station : Vehicle
- last_month_pct_transported : Industry
- last_month_production : Industry
- last_month_transported : Industry
- last_name : ScanProgressWindow
- last_newgrf_count : GUISettings
- last_packet : NetworkGameSocketHandler
- last_port : NetworkSettings
- last_prod_year : Industry
- last_restricted_update : LinkGraph::BaseEdge
- last_sorting : BuildBridgeWindow , NetworkContentListWindow , NewGRFWindow
- last_speed : GroundVehicleCache , GoodsEntry
- last_started_action : BuildRoadToolbarWindow
- last_station_visited : Vehicle
- last_token : ServerNetworkGameSocketHandler
- last_token_frame : ServerNetworkGameSocketHandler
- last_unrestricted_update : LinkGraph::BaseEdge
- last_update : LinkGraph::BaseNode
- last_user_action : BuildRailToolbarWindow , TerraformToolbarWindow , ScenarioEditorLandscapeGenerationWindow
- last_value : ResolverObject
- last_vscroll_pos : AIDebugWindow
- lastActivity : ClientNetworkContentSocketHandler
- lateness_counter : BaseConsist
- layout : AirportFTAClass , Layouter::LineCacheItem , AirportScopeResolver , Airport , Town , SpotData
- lc : GenWorldInfo
- left : Blitter::BlitterParams , ParentSpriteToDraw , ViewPort , NWidgetPartPaddings , Window
- left_align : CargoesField
- left_mouse_btn_scrolling : GUISettings
- LEFT_OFFSET : NewGRFInspectWindow
- legend : LegendAndColour
- LEGEND_BLOB_WIDTH : SmallMapWindow
- len : GRFText
- length : ExpensesList , CompanyManagerFaceBitsInfo , SaveLoad , RoadStop::Entry
- level : BaseSettingEntry
- lf : SaveLoadParams
- life_type : IndustrySpec
- lifelength : EngineInfo
- lighthouse : ExtraPaletteValues
- line : LangString
- line_height : BuildRailStationWindow , AIListWindow , AISettingsWindow , BuildObjectWindow , AIConfigWindow , IConsoleWindow , NewGRFParametersWindow , AboutWindow , CompanyLeagueWindow
- line_reverse_mode : DifficultySettings
- linecache : Layouter
- lines : TextfileWindow , LanguageStrings , NWidgetPartTextLines
- LINK_COLOURS : LinkGraphOverlay
- link_graph : GoodsEntry , LinkGraphJob
- link_terraform_toolbar : GUISettings
- linkgraph : GameSettings
- list : RefitWindow , Vehicle , DropdownWindow
- list_group_names : IniLoadFile
- list_iter : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- list_pos : NetworkContentListWindow , NetworkGameWindow
- list_valid : MultiMapIterator< Tmap_iter, Tlist_iter, Tkey, Tvalue, Tcompare >
- listview_mode : BuildVehicleWindow
- liveries : GUISettings
- load_check_proc : ChunkHandler
- load_place : CargoLoad
- load_proc : ChunkHandler
- load_unload_ticks : Vehicle
- loaded : RealSpriteGroup
- loaded_at_xy : CargoPacket
- loading : RealSpriteGroup
- loading_indicators : GUISettings
- local_id : GRFFilePropsBase< Tcnt >
- locale : GameSettings
- localidx : StationSpecList
- location : Industry , Object
- location_of_HQ : CompanyProperties
- lock_offset : NetworkGameWindow
- log_data : ScriptStorage
- longname : OptionData
- loops_per_tick : AyStar
- lost_vehicle_warn : GUISettings
- lowest : ValuesInterval
- lowest_randbit : RandomizedSpriteGroup
- lowest_value : SnowLine
- lzma : LZMASaveFilter , LZMALoadFilter